# FILE: addgps.mak            Copyright (c), Symmetric Research, 2006
#
# This makefile snippet sets up GPS related defines in one place.
# It is used by all the other makefiles in the parxch subdirectories.
#
# Requires: PARGPS
#           USE_GPS
#
# Defines:  GPSDEF
#           GPSINC
#           GPSLIB
#           GPSLIBD
#           GPSOBJ
#           GPSDEFVB
#           GPSMODVB


# GPS functionality is optional

!if "$(USE_GPS)" == "Yes"

GPSDEF     = /DGPS_AVAILABLE
GPSINC     = $(PARGPS)\include\pargps.h
GPSLIB     = $(PARGPS)\lib\pargps.c
GPSLIBD    = pargps.lib
GPSOBJ     = pargps.obj
GPSDEFVB   = ,GPS_AVAILABLE=-1
GPSMODVB   = $(PARGPS)\VBASIC\ParGps.vb

!elseif "$(USE_GPS)" == "No"

GPSDEF     = 
GPSINC     = 
GPSLIB     = 
GPSLIBD    = 
GPSOBJ     = 
GPSDEFVB   = ,GPS_AVAILABLE=0
GPSMODVB   = 

!else

#!message GPS functionality included
#GPSDEF     = /DGPS_AVAILABLE
#GPSINC     = $(PARGPS)\include\pargps.h
#GPSLIB     = $(PARGPS)\lib\pargps.c
#GPSLIBD    = pargps.lib
#GPSOBJ     = pargps.obj
#GPSDEFVB   = ,GPS_AVAILABLE=-1
#GPSMODVB   = $(PARGPS)\VBASIC\ParGps.vb

!message No GPS functionality included
GPSDEF     = 
GPSINC     = 
GPSLIB     = 
GPSLIBD    = 
GPSOBJ     = 
GPSDEFVB   = ,GPS_AVAILABLE=0
GPSMODVB   = 

!endif
