# FILE: compiler.mak            Copyright (c), Symmetric Research, 2006
#
# Win2K version:
#
# This makefile snippet sets up compiler related defines in one place.
# It is used by all the other makefiles in the parxch subdirectories.
#
# Requires: PARXCH
#           PARGPS
#
# Defines:  SROS
#           SRDEFS
#           SRLIBEXTRA
#           PARXCHLIB
#           HELPERLIB
#           DATLIB
#           PARGPSLIB
#           DATINC
#
#           CCPATH
#           RCPATH
#           IDEPATH
#           SDKPATH
#
#           VSDEFS
#           CC
#           CFLAGS
#           RC
#           RFLAGS
#           LINK
#           LFLAGS
#           LIBRARIAN
#           VBC
#


# Set up SR specific defines.
# Use the Win2K version of the SR code.
# Allow any PARxCH model.

SROS       = SROS_WIN2K
SRDEFS     = /D$(SROS) /DSRA2D_PARANY
SRLIBEXTRA = advapi32.lib



# Set up SR specific libraries.

PARXCHLIB  = $(PARXCH)\lib\parxch.c
HELPERLIB  = $(PARXCH)\lib\srhelper.c
DATLIB     = $(PARXCH)\lib\srdat.c
PARGPSLIB  = $(PARGPS)\lib\pargps.c

DATINC     = $(PARXCH)\include\srdat.h



# Identify the main Visual Studio 2005 directories.

CCPATH     = \Program Files\Microsoft Visual Studio 8\vc
RCPATH     = \Program Files\Microsoft Visual Studio 8\Common7\Tools
IDEPATH    = \Program Files\Microsoft Visual Studio 8\Common7\IDE
SDKPATH    = \Program Files\Microsoft Visual Studio 8\vc\PlatformSDK



# Set up Visual Studio 2005 defines.
# Don't complain about the older style Common Run Time functions.
# Use __time32_t when time_t is used instead of __time64_t.
# Make an exe suitable for Win95 and up

VSDEFS     = /D_CRT_SECURE_NO_DEPRECATE /D_USE_32BIT_TIME_T /DWINVER=0x0400



# Specify the compiler and the options to use with it.
#   /W3  warning level 3
#   /WX  treats warnings as errors
#   /MT  for multi-threaded
#   /Zi  for debugging
#   /Fd  for debugging PDB

CC         = "$(CCPATH)\bin\cl.exe"
CFLAGS     = $(VSDEFS) $(SRDEFS) /W3 /WX



# Specify resource compiler and the options to use with it.

RC         = "$(RCPATH)\bin\rc.exe"
RFLAGS     = /l 0x409 /D"_AFXDLL"



# Specify linker and the options to use with it.

LINK       = "$(CCPATH)\bin\link.exe"
LFLAGS     = /subsystem:windows


# Specify librarian.

LIBRARIAN  = "$(CCPATH)\bin\lib.exe"


# Specify the Visual Basic compile tool.
# Here we use devenv, the command line version of the Visual Studio 
# 2005 IDE, since it is easier than using the VB compiler directly.

VBC       = "$(IDEPATH)\devenv.exe"

