/* FILE: dbgprint.h             Copyright (c), Symmetric Research, 2003-2006

This file defines some macros for easily turning on and off debugging
print statements for the various OS's.

*/


#if defined( SROS_WIN98 ) ||  defined( SROS_WINXP ) || defined( SROS_WIN2K )

#if (SRDBG>=5)
#  define dbg5_printk  DbgPrint
#else
#  define dbg5_printk  //
#endif

#if (SRDBG>=4)
#  define dbg4_printk  DbgPrint
#else
#  define dbg4_printk  //
#endif

#if (SRDBG>=3)
#  define dbg3_printk  DbgPrint
#else
#  define dbg3_printk  //
#endif

#if (SRDBG>=2)
#  define dbg2_printk  DbgPrint
#else
#  define dbg2_printk  //
#endif

#if (SRDBG>=1)
#  define dbg1_printk  DbgPrint
#else
#  define dbg1_printk  //
#endif

#if (SRDBG>=0)
#  define dbg0_printk  DbgPrint
#else
#  define dbg0_printk  //
#endif

#ifdef SRDBG
#  define dbg_printk  DbgPrint
#else
#  define dbg_printk  //
#endif



#elif  defined( SROS_WIN9X ) || defined( SROS_MSDOS )

#if (SRDBG>=5)
#  define dbg5_printk  printf
#else
#  define dbg5_printk  //
#endif

#if (SRDBG>=4)
#  define dbg4_printk  printf
#else
#  define dbg4_printk  //
#endif

#if (SRDBG>=3)
#  define dbg3_printk  printf
#else
#  define dbg3_printk  //
#endif

#if (SRDBG>=2)
#  define dbg2_printk  printf
#else
#  define dbg2_printk  //
#endif

#if (SRDBG>=1)
#  define dbg1_printk  printf
#else
#  define dbg1_printk  //
#endif

#if (SRDBG>=0)
#  define dbg0_printk  printf
#else
#  define dbg0_printk  //
#endif

#ifdef SRDBG
#  define dbg_printk  printf
#else
#  define dbg_printk  //
#endif

#define DbgPrint printf




#elif defined( SROS_LINUX )

#if (SRDBG>=5)
#  define dbg5_printk(s,args...);  printk(KERN_NOTICE s , ## args);
#else
#  define dbg5_printk(s,args...); 
#endif

#if (SRDBG>=4)
#  define dbg4_printk(s,args...);  printk(KERN_NOTICE s , ## args);
#else
#  define dbg4_printk(s,args...); 
#endif

#if (SRDBG>=3)
#  define dbg3_printk(s,args...);  printk(KERN_NOTICE s , ## args);
#else
#  define dbg3_printk(s,args...); 
#endif

#if (SRDBG>=2)
#  define dbg2_printk(s,args...);  printk(KERN_NOTICE s , ## args);
#else
#  define dbg2_printk(s,args...); 
#endif

#if (SRDBG>=1)
#  define dbg1_printk(s,args...);  printk(KERN_NOTICE s , ## args);
#else
#  define dbg1_printk(s,args...); 
#endif

#if (SRDBG>=0)
#  define dbg0_printk(s,args...);  printk(KERN_NOTICE s , ## args);
#else
#  define dbg0_printk(s,args...); 
#endif

#ifdef SRDBG
#  define dbg_printk(s,args...);  printk(KERN_NOTICE s , ## args);
#else
#  define dbg_printk(s,args...); 
#endif

#define DbgPrint dbg_printk

#endif // SROS_WIN98 SROS_WINXP SROS_WIN2K SROS_LINUX SROS_WIN9X SROS_MSDOS
